# Cinder

# cinder::BandedMatrix< T > Class Template Reference

`#include <BandedMatrix.h>`

List of all members.

## Public Member Functions
| BandedMatrix (int iSize, int iLBands, int iUBands)
| BandedMatrix (const BandedMatrix &rkM)
| ~BandedMatrix ()
BandedMatrix & | operator= (const BandedMatrix &rkM)
int | getSize () const
int | getLBands () const
int | getUBands () const
T * | getDBand ()
const T * | getDBand () const
int | getLBandMax (int i) const
T * | getLBand (int i)
const T * | getLBand (int i) const
int | getUBandMax (int i) const
T * | getUBand (int i)
const T * | getUBand (int i) const
T & | operator() (int iRow, int iCol)
T | operator() (int iRow, int iCol) const
void | setZero ()
void | setIdentity ()

### template<typename T>
class cinder::BandedMatrix< T >

## Constructor & Destructor Documentation

template<typename T >

cinder::BandedMatrix< T >::BandedMatrix | ( | int | iSize,
|  | int | iLBands,
|  | int | iUBands |
| ) |  |  |

template<typename T >

cinder::BandedMatrix< T >::BandedMatrix | ( | const BandedMatrix< T > & | rkM | ) |

template<typename T >

cinder::BandedMatrix< T >::~BandedMatrix | ( |  | ) |

## Member Function Documentation

template<typename T >

BandedMatrix< T > & cinder::BandedMatrix< T >::operator= | ( | const BandedMatrix< T > & | rkM | ) |

template<typename T >

int cinder::BandedMatrix< T >::getSize | ( |  | ) | const

template<typename T >

int cinder::BandedMatrix< T >::getLBands | ( |  | ) | const

template<typename T >

int cinder::BandedMatrix< T >::getUBands | ( |  | ) | const

template<typename T >

T * cinder::BandedMatrix< T >::getDBand | ( |  | ) |

template<typename T >

const T * cinder::BandedMatrix< T >::getDBand | ( |  | ) | const

template<typename T >

int cinder::BandedMatrix< T >::getLBandMax | ( | int | i | ) | const

template<typename T >

T * cinder::BandedMatrix< T >::getLBand | ( | int | i | ) |

template<typename T >

const T * cinder::BandedMatrix< T >::getLBand | ( | int | i | ) | const

template<typename T >

int cinder::BandedMatrix< T >::getUBandMax | ( | int | i | ) | const

template<typename T >

T * cinder::BandedMatrix< T >::getUBand | ( | int | i | ) |

template<typename T >

const T * cinder::BandedMatrix< T >::getUBand | ( | int | i | ) | const

template<typename T >

T & cinder::BandedMatrix< T >::operator() | ( | int | iRow,
|  | int | iCol |
| ) |  |  |

template<typename T >

T cinder::BandedMatrix< T >::operator() | ( | int | iRow,
|  | int | iCol |
| ) |  |  | const

template<typename T >

void cinder::BandedMatrix< T >::setZero | ( |  | ) |

template<typename T >

void cinder::BandedMatrix< T >::setIdentity | ( |  | ) |

The documentation for this class was generated from the following files:

- include/cinder/BandedMatrix.h
- src/cinder/BandedMatrix.cpp